{pkgs, ...}: let
  configFile = "gh/config.yml";
  hostsFile = "gh/hosts.yml";
  toYAML = (pkgs.formats.yaml {}).generate;
in {
  users.users.someone.packages = with pkgs; [
    gh
  ];

  xdg.configFile."${configFile}".source = toYAML "config.yml" {
    version = 1;
    git_protocol = "ssh";
    editor = "nvim";
    prompt = "enabled";
    prefer_editor_prompt = "disabled";
    pager = "less -FR";
    aliases = {
      co = "pr checkout";
    };
    browser = "zen";
  };

  xdg.configFile."${hostsFile}".text = ''
    github.com:
      git_protocol: https
      user: someone
  '';
}
